Results 1 to 2 of 2

Thread: Metasploit Postgresql database connection eror

  1. #1
    Just burned his ISO
    Join Date
    Oct 2009
    Posts
    2

    Default Metasploit Postgresql database connection eror

    Hey guys -

    I've been using metasploit for several weeks and utilizing the default database connection. Metasploit comes with postgresql and would automatically start and connect to its default database on port 7175 . I have no idea what changed, but now it will not start postgres and connect to it. I can manually start postgresql through /etc/init.d/postgresql-8.4 on port 5432 and create and connect with databases, but they are not the one I have been using.

    My /opt/framework/config/database.yml file points to a database named msf3 on localhost:7175, but i can't connect to it, nor seem to start postgres on 7175. Even manually starting ctl.sh in /opt/framework/postgresql/scripts does not start the service.

    Do you have any ideas? It went from seamlessly starting the postgres service and connecting when i ran msfconsole, to not starting at all. I don't necessarily mind creating a new database and starting my own postgresql server, but I've been using msf3 on 7175 for weeks and it has all my hosts and info.

    Any suggestions welcome. Thanks!

  2. #2
    Good friend of the forums zimmaro's Avatar
    Join Date
    Mar 2010
    Location
    milano
    Posts
    407

    Default Re: Metasploit Postgresql database connection eror

    hi,
    i'm (re)testing now:
    root@bt:~# date
    Thu Oct 6 11:42:17 CEST 2011
    root@bt:~# uname -a
    Linux bt 2.6.39.4 #1 SMP Thu Aug 18 13:38:02 NZST 2011 i686 GNU/Linux
    root@bt:~# ruby -v
    ruby 1.8.7 (2010-01-10 patchlevel 249) [i486-linux]
    root@bt:~# msfconsole

    __________________________________________________ ____________________________
    | |
    | 3Kom SuperHack II Logon |
    |_________________________________________________ _____________________________|
    | |
    | |
    | |
    | User Name: [ security ] |
    | |
    | Password: [ ] |
    | |
    | |
    | |
    | [ OK ] |
    |_________________________________________________ _____________________________|
    | |
    |_________________________________________________ _____________________________|



    =[ metasploit v4.0.1-dev [core:4.0 api:1.0]
    + -- --=[ 737 exploits - 378 auxiliary - 84 post
    + -- --=[ 228 payloads - 27 encoders - 8 nops
    =[ svn r13812 updated 3 days ago (2011.10.03)

    msf > db_driver[*] Active Driver: postgresql[*] Available: postgresql, mysql

    msf > db_driver postgresql[*] Using database driver postgresql
    msf > db_status[*] postgresql connected to msf3
    msf > db_autopwn -e -p -q -R great 192.168.1.253[*] (1/17 [0 sessions]): Launching exploit/windows/dcerpc/ms03_026_dcom against 192.168.1.253:135...[*] (2/17 [0 sessions]): Launching exploit/freebsd/samba/trans2open against 192.168.1.253:139...[*] (3/17 [0 sessions]): Launching exploit/linux/samba/trans2open against 192.168.1.253:139...[*] (4/17 [0 sessions]): Launching exploit/multi/samba/usermap_script against 192.168.1.253:139...[*] (5/17 [0 sessions]): Launching exploit/solaris/samba/trans2open against 192.168.1.253:139...
    .............FOR ME WORK FINE! bye!

Similar Threads

  1. BT5 + Metasploit + PostgreSQL
    By fnord0 in forum BackTrack 5 Experts Section
    Replies: 36
    Last Post: 03-16-2012, 11:22 AM
  2. Replies: 1
    Last Post: 11-15-2011, 03:42 AM
  3. New Fix database [ metasploit ] :)
    By RoOoMaAaNcE in forum BackTrack 5 Fixes
    Replies: 1
    Last Post: 09-28-2011, 03:52 PM
  4. Metasploit db_autopwn using PostgreSQL
    By sickness in forum BackTrack Howtos
    Replies: 53
    Last Post: 03-28-2011, 03:22 AM
  5. Metasploit Opcode Database down?
    By jorgan in forum OLD General IT Discussion
    Replies: 7
    Last Post: 04-17-2008, 11:22 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •